classification
Title: “os.environ was modified by test_httpservers”
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.1
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, eric.araujo, ezio.melotti, orsenthil
Priority: low Keywords: patch

Created on 2010-11-17 23:41 by eric.araujo, last changed 2011-05-30 16:43 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
fix-environ-test_httpservers-3.1.diff eric.araujo, 2011-05-27 15:45
Messages (6)
msg121393 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-17 23:41
Bug title is a warning I get when running test_httpservers under regrtest with 3.1.
msg137062 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-27 15:45
Stealing two lines from 3.2 fixes this.  See attached patch.
msg137113 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-05-28 09:25
Python 3.1.4 should be released today, so I think it's too late for this to be fixed.
msg137114 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-05-28 09:39
The release date of 3.1.4 is actually June 11th.  Today will be released an RC though, so what I said should still apply.
msg137119 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-05-28 10:47
I think, if you speak to RM, you can just have this change in. Don't we get "no commits please" email request from RM with hg or is the branch already cut?
msg137301 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-30 16:43
From IRC: too late for 3.1.
History
Date User Action Args
2011-05-30 16:43:43eric.araujosetstatus: open -> closed
resolution: out of date
messages: + msg137301

stage: commit review -> resolved
2011-05-28 12:30:17ezio.melottisetnosy: + benjamin.peterson
2011-05-28 10:47:29orsenthilsetmessages: + msg137119
2011-05-28 09:39:08ezio.melottisetmessages: + msg137114
2011-05-28 09:25:24ezio.melottisetnosy: + ezio.melotti
messages: + msg137113
2011-05-27 15:45:05eric.araujosetfiles: + fix-environ-test_httpservers-3.1.diff
keywords: + patch
messages: + msg137062

stage: needs patch -> commit review
2010-11-17 23:41:50eric.araujocreate